package com.bocloud.cmp.model.hmc.pcm;

import java.util.Map;

public class PcmMemory {
    private Trend totalTrend;
    private Trend assignedTrend;
    private Map<String, PcmPartitionMemory> partitionMemories;

    public Trend getTotalTrend() {
        return totalTrend;
    }

    public void setTotalTrend(Trend totalTrend) {
        this.totalTrend = totalTrend;
    }

    public Trend getAssignedTrend() {
        return assignedTrend;
    }

    public void setAssignedTrend(Trend assignedTrend) {
        this.assignedTrend = assignedTrend;
    }

    public Map<String, PcmPartitionMemory> getPartitionMemories() {
        return partitionMemories;
    }

    public void setPartitionMemories(Map<String, PcmPartitionMemory> partitionMemories) {
        this.partitionMemories = partitionMemories;
    }
}
